# $Revision: 1.45 $, $Date: 2012/01/29 11:02:13 $
%define		libmpd_ver	0.20.95
Summary:	Gnome Music Player Client
Summary(pl.UTF-8):	Odtwarzacz Gnome Music Player Client
Name:		gmpc
Version:	11.8.16
Release:	2
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	223aeb000e41697d8fdf54ccedee89d5
Patch0:		%{name}-desktop.patch
Patch1:		window-title.patch
URL:		http://www.gmpclient.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gob2 >= 2.0.17
BuildRequires:	gtk+2-devel >= 2:2.18
BuildRequires:	intltool
BuildRequires:	libmpd-devel >= 0.20.95
BuildRequires:	libsexy-devel
BuildRequires:	libsoup-devel
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxspf-devel
BuildRequires:	pkgconfig >= 0.9
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel
BuildRequires:	vala >= 0.11.0
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
%requires_ge_to	libmpd libmpd-devel
Requires:	libmpd >= %{libmpd_ver}
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Obsoletes:	gmpc-plugin-favorites
Obsoletes:	gmpc-plugin-serverstats
Obsoletes:	gmpc-plugin-discogs
Obsoletes:	gmpc-plugin-lastfm-provider
Obsoletes:	gmpc-plugin-extraplaylist
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GMPC is a frontend for the mpd (Music Player Daemon). It's focused on
being fast and easy to use, while making optimal use of all the
functions in mpd. The latest release (0.13) features plugin support so
it can be easily extended where needed, plugins can range from showing
a small osd window to adding an extra view in the playlist browser.

%description -l pl.UTF-8
GMPC to frontend dla mpd (Music Player Daemon). Skupia się na byciu
najszybszym i prostym w użyciu, a jednocześnie optymalnym
wykorzystywaniu wszystkich funkcji mpd. Ostatnie wydanie (0.13) ma
obsługę wtyczek, więc można go łatwo rozszerzać w miarę potrzeby;
wtyczki mogą obsługiwać funkcjonalność od wyświetlania małego okienka
na ekranie do dodawania dodatkowego widoku do przeglądarki playlist.

%package devel
Summary:	Header files for GMPC plugin developement
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek dla GMPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmpd-devel >= %{libmpd_ver}

%description devel
Header files for GMPC plugin developement.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek dla GMPC.

%prep
%setup -q
%patch0 -p1
# breaks compilation: http://carme.pld-linux.org/~glen/gmpc.log
touch -r src/playlist3.c src/playlist3.c.foo
%patch1 -p1
touch -r src/playlist3.c.foo src/playlist3.c

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

RC=no \
%configure \
	--enable-libxspf \
	--enable-unique \

#	--enable-appindicator \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/%{name}/plugins,%{_datadir}/%{name}/plugins}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Ubuntu theme, not present in PLD
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/icons/Humanity

# drop javanese translation, need glibc support first
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/jv

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/gmpc
%attr(755,root,root) %{_bindir}/gmpc-remote
%attr(755,root,root) %{_bindir}/gmpc-remote-stream
%{_desktopdir}/gmpc.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/16x16/apps/gmpc.png
%{_iconsdir}/hicolor/22x22/apps/gmpc.png
%{_iconsdir}/hicolor/32x32/apps/gmpc.png
%{_iconsdir}/hicolor/48x48/apps/gmpc.png
%{_iconsdir}/hicolor/64x64/apps/gmpc.png
%{_iconsdir}/hicolor/72x72/apps/gmpc.png
%{_iconsdir}/hicolor/96x96/apps/gmpc.png
%{_iconsdir}/hicolor/128x128/apps/gmpc.png
%{_iconsdir}/hicolor/scalable/apps/gmpc.svg
%{_mandir}/man1/gmpc-remote.1*
%{_mandir}/man1/gmpc.1*
%{_mandir}/man1/gmpc-remote-stream.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gmpc
%{_pkgconfigdir}/gmpc.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc.spec,v $
Revision 1.45  2012/01/29 11:02:13  wiget
- add O: for packages with plugins integrated now into gmpc
- rel. 2

Revision 1.44  2012/01/28 20:33:29  glen
- implicit --enable-libxspf (note: --enable-libspiff is alternative)

Revision 1.43  2012/01/28 20:25:12  glen
- up to 11.8.16 (new YY.MM.DD versioning scheme)

Revision 1.42  2012/01/28 19:29:13  glen
- setup window title with song name first

Revision 1.41  2012/01/28 18:30:10  arekm
- release 5

Revision 1.40  2011/02/04 18:23:46  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.39  2010/09/12 12:25:02  wiget
- drop Humanity icons
- rel. 3

Revision 1.38  2010/09/12 12:07:48  wiget
- BR: fixed gob2
- rel. 2

Revision 1.37  2010/09/11 16:00:52  wiget
- force -j1 for make
- rel. 1.1

Revision 1.36  2010/08/08 14:55:44  atler
- BR: vala
- package Humanity icons

Revision 1.35  2010/04/06 12:06:33  lisu
- up to 0.20.0
- libmpd-devel >= 0.19.2 required

Revision 1.34  2009/10/16 08:30:42  lisu
- updated to 0.19.1
- clean up

Revision 1.33  2009/09/19 21:22:44  charles
- BR: sqlite3-devel; updated version for some BR/R

Revision 1.32  2009/09/19 16:54:41  wiget
- updated to 0.19.0

Revision 1.31  2009/09/13 15:43:07  wiget
- updated to 0.18.100 (aka 0.19.0-rc1)

Revision 1.30  2009/08/09 12:54:52  atler
- BR: libsexy-devel libsoup-devel
- use system libsexy

Revision 1.29  2009/08/08 23:01:12  aredridel
- 0.18.96

Revision 1.28  2009/03/29 19:00:15  wiget
- drop unsupported by glibc javanese translation

Revision 1.27  2009/03/29 18:14:12  wiget
- added xspf.patch (update to new API)
- release 2

Revision 1.26  2009/03/28 18:23:36  wiget
- serverstats and favorites integrated into main program

Revision 1.25  2009/03/28 17:13:48  wiget
- updated to 0.18.0

Revision 1.24  2009/01/24 17:14:35  megabajt
- regenerate hicolor icon cache in post/postun
- more verbose files
- removed obsolete patches (-locale.patch and -plugins_path.patch)
- changed license to GPL v2+
- release 2

Revision 1.23  2008/12/28 21:55:28  wiget
- updated to 0.17.0

Revision 1.22  2008/12/21 16:40:10  wiget
- updated to 0.16.96 aka 0.17.0-beta2
- switch to sourceforge for dl

Revision 1.21  2008/12/06 10:54:15  jajcus
- %{_libdir}/%{name}/plugins dir added

Revision 1.20  2008/11/30 19:57:08  aredridel
- 0.16.95

Revision 1.19  2008/08/29 10:50:40  pluto
- requires_eq libmpd.

Revision 1.18  2008/08/29 10:45:01  pluto
- don't try to compile windows resources on linux (something defines HAVE_RC on the fly, auto*bug?).
- release 3.

Revision 1.17  2008/08/29 10:22:41  pluto
- add missed BRs, fix reentrant build.

Revision 1.16  2008/07/19 08:12:49  arekm
- release 2

Revision 1.15  2008-04-27 00:08:29  aredridel
- fix nb locale name

Revision 1.14  2008-02-04 09:31:51  czarny
- proper d/l URL

Revision 1.13  2007-12-07 00:52:05  sls
- BR: gob2 (ac macro GOB2_CHECK)

Revision 1.12  2007-10-17 14:15:20  jajcus
- Release: 2
- /usr/share/gmpc/plugins dir added (used by the magnatune browser plugin)

Revision 1.11  2007/06/11 00:30:17  aredridel
- 0.15.1

Revision 1.10  2007/05/21 15:28:36  wiget
- require new libmpd on runtime, release 2

Revision 1.9  2007/05/20 02:24:55  aredridel
- 0.15.0

Revision 1.8  2007/04/04 20:19:53  megabajt
- added desktop patch
- revised deps
- release 2

Revision 1.7  2007/02/19 21:12:34  wiget
- updated to 0.14.0

Revision 1.6  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.4  2006/12/19 20:59:11  qboosh
- pl

Revision 1.3  2006/12/15 17:30:36  jajcus
- devel package requires libmpd-devel

Revision 1.2  2006/12/13 21:46:43  jajcus
- force distfiles dropin checkout

Revision 1.1  2006/12/13 21:22:04  jajcus
- new spec
